"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CommandHandler_1 = __importDefault(require("./CommandHandler"));
const LoadCommands_1 = __importDefault(require("./LoadCommands"));
const LoadEvents_1 = __importDefault(require("./LoadEvents"));
class App {
    client;
    eventsDirectory;
    commandsDirectory;
    guilds;
    constructor(client, eventsDirectory, commandsDirectory, guilds) {
        this.client = client;
        this.eventsDirectory = eventsDirectory;
        this.commandsDirectory = commandsDirectory;
        this.guilds = guilds;
        this.start();
    }
    async start() {
        await (0, LoadEvents_1.default)(this.client, this.eventsDirectory);
        await (0, LoadCommands_1.default)(this.commandsDirectory);
        await CommandHandler_1.default.loadAll(this.client, this.guilds);
    }
}
exports.default = App;
