"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const discord_js_1 = require("discord.js");
class CommandHandler {
    static commands = new discord_js_1.Collection();
    static async loadAll(client, guilds) {
        if (guilds.length == 0) {
            return console.log("Commands => No guilds found!");
        }
        for (const guildId of guilds) {
            try {
                const guild = client.guilds.cache.get(guildId);
                guild.commands.set(this.commands.map(r => r.toJSON()));
                console.log("Commands => Loaded commands for " + guildId);
            }
            catch (error) {
                console.log("Failed to load commands for " + guildId);
                console.log(error);
            }
        }
        client.on("interactionCreate", interaction => {
            if (!interaction.isChatInputCommand())
                return;
            const command = this.commands.get(interaction.commandName);
            try {
                const guild = interaction.guild;
                const channel = interaction.channel;
                const member = interaction.member;
                command.execute(client, guild, channel, member, interaction);
            }
            catch (error) {
                console.log("Error when executing " + command.name);
                console.log(error);
            }
        });
    }
}
exports.default = CommandHandler;
