"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
async function findFiles(path, operation) {
    try {
        const files = fs_1.default.readdirSync(path);
        if (files.length == 0)
            return;
        let paths = [];
        for (const file of files) {
            let _path = `${path}/${file}`;
            if (fs_1.default.statSync(_path).isDirectory()) {
                paths = paths.concat(await findFiles(_path, operation));
            }
            else {
                paths.push(_path);
            }
        }
        return paths;
    }
    catch (error) {
        console.log(`\n\n[${operation}] Failed to find files - ${path}`);
        console.log(error + "\n\n");
    }
}
exports.default = findFiles;
