"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CommandHandler_1 = __importDefault(require("./CommandHandler"));
const FindFiles_1 = __importDefault(require("./FindFiles"));
async function LoadCommands(path) {
    try {
        const files = await (0, FindFiles_1.default)(path, "Commands");
        if (files.length == 0) {
            return console.log("Commands => No command files found!");
        }
        for (const file of files) {
            try {
                const command = require(file).default ? require(file).default : require(file);
                CommandHandler_1.default.commands.set(command.name, command);
            }
            catch (error) {
                console.log("\n\nFailed to load events!");
                console.log(error);
                continue;
            }
        }
    }
    catch (error) {
        console.log("\n\nFailed to load events!");
        console.log(error);
    }
}
exports.default = LoadCommands;
