"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const FindFiles_1 = __importDefault(require("./FindFiles"));
async function LoadEvents(client, path) {
    try {
        const files = await (0, FindFiles_1.default)(path, "Events");
        if (files.length == 0) {
            return console.log("Events => No event files found!");
        }
        for (const file of files) {
            try {
                const event = require(file).default ? require(file).default : require(file);
                client.on(event.name, event.execute.bind(null, client));
            }
            catch (error) {
                console.log("\n\nFailed to load events!");
                console.log(error);
                continue;
            }
        }
    }
    catch (error) {
        console.log("\n\nFailed to load events!");
        console.log(error);
    }
}
exports.default = LoadEvents;
